Page MenuHomePhabricator

vfs: add a `register_file` method on the vfs class
ClosedPublic

Authored by marmoute on Jun 9 2021, 10:37 AM.

Details

Summary

This is used by the fncache vfs to register new file. Until now, fncache have
been doing this "automatically" by monitoring write pattern. However this is
fragile and when we copy files in place by other means, we need something more
robuts. So we add an explicit method to do so.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Jun 9 2021, 10:37 AM
pulkit accepted this revision.Jun 14 2021, 4:43 PM
This revision is now accepted and ready to land.Jun 14 2021, 4:43 PM
baymax updated this revision to Diff 28573.Jun 15 2021, 10:23 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.Jun 16 2021, 4:02 AM
baymax updated this revision to Diff 28621.Jun 21 2021, 1:09 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was automatically updated to reflect the committed changes.